[Plugin] Nvidia-Driver


ich777

Recommended Posts

I want to utilize my Nvidia graphics card in Plex Docker but I cannot find the UUID of it at Nvidia Driver Package:

12.thumb.png.fe3ac3a800067253f60d156e853f543e.png

But I can find the CARD in System Devices:

563667558_(R2WSK84L8P3AL(K.thumb.png.21f7e37448977b4340bb434973cffc2a.png

And what can I do next?

 

THANKS.

Edited by fxhe
Link to comment
6 hours ago, fxhe said:

I want to utilize my Nvidia graphics card in Plex Docker but I cannot find the UUID of it at Nvidia Driver Package:

 

But I can find the CARD in System Devices:

 

And what can I do next?

 

THANKS.

Something from the screenshot seems very wrong...

 

Can you issue the command "nvidia-smi" (without quotes) from the command line and post a screenshot what you get back?

Link to comment
6 hours ago, ich777 said:

Something from the screenshot seems very wrong...

 

Can you issue the command "nvidia-smi" (without quotes) from the command line and post a screenshot what you get back?

 

13.png.901b2038430ca941a7155529280b4155.png

Edited by fxhe
Link to comment
7 hours ago, ich777 said:

Something from the screenshot seems very wrong...

 

Can you issue the command "nvidia-smi" (without quotes) from the command line and post a screenshot what you get back?

I reinstalled the plugin but I found the driver download  was not done. Can I download it by another way?422782991_LY(W2J)9Q2HQZOSOQK5.png.e3a951f153972b552c981faddc4747cb.png

Link to comment
12 minutes ago, fxhe said:

I reinstalled the plugin but I found the driver download  was not done. Can I download it by another way?

Do you run any blocking software on your network like PiHole or AdGuard?

Can you connect to Github?

Link to comment
3 hours ago, fxhe said:

13.png.901b2038430ca941a7155529280b4155.png

This indicates that the driver install wasn't successful, have you waited until the plugin installation window displayed the DONE button like mentioned in the first post or did you close the window with the red X?

Link to comment
21 minutes ago, ich777 said:

Do you run any blocking software on your network like PiHole or AdGuard?

Can you connect to Github?

Maybe the AdGuard, I will try later.

In addition, can I use a computting GPU like tesla K10/K20C as the transcoder or hardware acceleration here?

Link to comment
21 minutes ago, fxhe said:

In addition, can I use a computting GPU like tesla K10/K20C as the transcoder or hardware acceleration here?

You can check that like mentioned in the first post on the driver page that is located: here

On this page simply click on the driver version you've got installed or want to install and then on the next page on "Supported Products".

 

22 minutes ago, fxhe said:

Maybe the AdGuard, I will try later.

Something seems to be blocking the driver from downloading from Github.

Link to comment
2 hours ago, ich777 said:

You can check that like mentioned in the first post on the driver page that is located: here

On this page simply click on the driver version you've got installed or want to install and then on the next page on "Supported Products".

 

Something seems to be blocking the driver from downloading from Github.

Done and Thanks.

In addition, how to know the hardware acceleration working or not?

Edited by fxhe
  • Like 1
Link to comment
41 minutes ago, fxhe said:

Done and Thanks.

Does it work now and is it recognized?

 

42 minutes ago, fxhe said:

In addition, how to know the hardware acceleration working or not?

Please go through the second post how to make sure it is working if you are using it for Emby/Jellyfin/Plex:

 

 

In addition you can install the GPU Statistics plugin from @b3rs3rk to see the utilization in your unRAID Dashboard:

 

 

Link to comment
2 hours ago, ich777 said:

Does it work now and is it recognized?

 

Please go through the second post how to make sure it is working if you are using it for Emby/Jellyfin/Plex:

 

 

In addition you can install the GPU Statistics plugin from @b3rs3rk to see the utilization in your unRAID Dashboard:

YES. IT WORKS WELL.

THANKS.

 

 

  • Like 1
Link to comment

@ich777 Hope all is well! Noticing a small wrinkle on boot with the latest version from today. On boot, I am watching the boot log, and just prior to SMB starting and all at the very end of the boot process, when the system is installing all the addon packages, I am noticing that this new version is showing some error/warnings:

 

/bin/bash: line 285: check_package: command not found

/bin/bash: line 286: install_package: command not found

 

Then the system goes on to say that it's subbing /bin/bash with /bin/sh

 

 

 

Took me a little while to figure it out, but I rolled back the Nvidia plugin to the previous version and rebooted, and these messages went away.

Edited by cybrnook
Link to comment
3 hours ago, cybrnook said:

/bin/bash: line 285: check_package: command not found

/bin/bash: line 286: install_package: command not found

Thank you for the heads up but that should not harm your system or the driver installation process in any way, will update the plugin shortly, please give me a few minutes.

 

Plugin update, please try again.

  • Thanks 1
Link to comment

Well I was told it was My server, Hardware or GPU yet the Plug-in was updated 30.07.21 and now everything’s working, So it appears it was the plug-in and Not my Hardware. I am great full for the work the Guy’s do but I did say the card and everything was tested and working. 

Link to comment
20 minutes ago, leeknight1981 said:

Well I was told it was My server, Hardware or GPU yet the Plug-in was updated 30.07.21

The update only added a update helper if you upgarde to a newer unRAID version, nothing else was changed in terms of the driver. ;)

 

20 minutes ago, leeknight1981 said:

So it appears it was the plug-in and Not my Hardware.

Pretty certain that this is not the case because only a few lines where added that strictly speaking have nothing to do with the drivers itself, look at the changelog. :)

 

Are you sure that you don't changed anything?

Link to comment
On 7/31/2021 at 4:26 PM, ich777 said:

The update only added a update helper if you upgarde to a newer unRAID version, nothing else was changed in terms of the driver. ;)

 

Pretty certain that this is not the case because only a few lines where added that strictly speaking have nothing to do with the drivers itself, look at the changelog. :)

 

Are you sure that you don't changed anything?

No mate nothing i simpley waited to see that the plugin had been updated, i installed it and all works ok :) 

  • Haha 1
Link to comment
24 minutes ago, leeknight1981 said:

No mate nothing i simpley waited to see that the plugin had been updated, i installed it and all works ok :)

Really interesting how a update that has nothing changed in terms of the drivers can magically fix the problem. 😂

Link to comment
On 8/2/2021 at 8:23 PM, ich777 said:

Really interesting how a update that has nothing changed in terms of the drivers can magically fix the problem. 😂

OK so my server locked up at 09:56 today 04.08.21 when i went on it said New NVidia UpDate v470.57.02 found and downloaded please reboot your server even though Auto Update is off. So it crashed my GUI and i had that same error in loggs. I Rebooted using the one that was working v470.42.01 and its working fine! So the latest one breaks my UnRaid so i am back on v470.42.01 and all is Working...

Link to comment
41 minutes ago, leeknight1981 said:

even though Auto Update is off.

Can you please double check that Auto Update is off?

 

41 minutes ago, leeknight1981 said:

So it crashed my GUI and i had that same error in loggs.

What crashed your GUI? The download from the update?

 

42 minutes ago, leeknight1981 said:

So the latest one breaks my UnRaid so i am back on v470.42.01 and all is Working...

The first thing I have to say, v470.57.02 was uploaded to the repository on 2021.07.21 and the update notification should be triggered on 2021.07.22.

What I can imagine is that something was wrong when the plugin tried to fetch the versions.

 

For troubleshooting reasons I would try one last time the latest driver since your card should be supported.

 

Also please include the Diagnostics, otherwise troubleshooting is really hard.

Link to comment
54 minutes ago, ich777 said:

Can you please double check that Auto Update is off?

 

What crashed your GUI? The download from the update?

 

The first thing I have to say, v470.57.02 was uploaded to the repository on 2021.07.21 and the update notification should be triggered on 2021.07.22.

What I can imagine is that something was wrong when the plugin tried to fetch the versions.

 

For troubleshooting reasons I would try one last time the latest driver since your card should be supported.

 

Also please include the Diagnostics, otherwise troubleshooting is really hard.

Nope nothing has changed Nothing at all, my sever GUI locked up and I had a notification of the update. I’m running the 1st one and it’s working fine so it’s Not my server or GPU. 
servers running ok not locking up no fault in logs snd it’s transcoding fine so I don’t know but v470.42.01 worked absolutely fine until today when it updated and then locked up GUI and the fault in logs. Now running 460.80 and again running fine no issues so if it was my server / gpu why was it ok on 470.42.01 and 460.80. I don’t want it auto updating I turned auto update off yet it’s being forced like this morning 

4F521F13-C68B-4244-990E-6BD20B1BA212.jpeg

46448BF1-3D8D-4048-9592-6E1D09C8868B.jpeg

64659496-D148-4BC2-80A1-41A11D711220.jpeg

Link to comment
9 minutes ago, leeknight1981 said:

Nope nothing has changed Nothing at all, my sever GUI locked up and I had a notification of the update.

What do you mean with nothing changed?

The automatic update is a cron job between 8am and 10am and downloads the driver in the background, if a newer one is found and sends the message, doesn't install anything when the message is sent, that is all done on reboot.

 

13 minutes ago, leeknight1981 said:

Now running 460.80 and again running fine no issues so if it was my server / gpu why was it ok on 470.42.01 and 460.80.

But then there is something else wrong, when 470.42.01 was fine until you rebooted and now you have to run 460.80...

 

18 minutes ago, leeknight1981 said:

I don’t want it auto updating I turned auto update off yet it’s being forced like this morning

Can you be a little more precise please? What was forced? What does the plugin page say about the automatic update, have you clicked Update after you set automatic update to False?

 

Please open up a unRAID terminal and send me the output from 'crontab -e' (without quotes) and also from 'cat /boot/config/plugins/nvidia-driver/settings.cfg' (without quotes).

 

What version from the plugin itself are you running, "2021.07.30" is the latest one.

Link to comment
34 minutes ago, ich777 said:

What do you mean with nothing changed?

The automatic update is a cron job between 8am and 10am and downloads the driver in the background, if a newer one is found and sends the message, doesn't install anything when the message is sent, that is all done on reboot.

 

But then there is something else wrong, when 470.42.01 was fine until you rebooted and now you have to run 460.80...

 

Can you be a little more precise please? What was forced? What does the plugin page say about the automatic update, have you clicked Update after you set automatic update to False?

 

Please open up a unRAID terminal and send me the output from 'crontab -e' (without quotes) and also from 'cat /boot/config/plugins/nvidia-driver/settings.cfg' (without quotes).

 

What version from the plugin itself are you running, "2021.07.30" is the latest one.

Will have to do all that after work! Basically servers been running fine all week! This morning the GUI had locked up and that notification was on the screen. Auto Plug-in update is off yet that says Found and downloaded which caused that normal error in the logs. Just to clarify the servers been working the GPU has been working and transcoding all week NO issue not one then This morning my sever locked up and that update was installed that broke it. 
 

regards 

 

lee 

9AAE22D7-CD23-4FFA-A57D-C781CD4A7506.jpeg

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.